We power CLOB trading account activation via REST API, allowing platforms to stand up funded accounts for approved participants and manage those accounts over their lifetime.
Flexible Funding Models
You have the ability to activate accounts under either funding model, selected at creation via the prefunded flag. Customer Accounts can be updated if required useing the PATCH /accounts/{zrn} endpoint:
- Pre-Funded (
prefunded: true): Customer USD balances are held at zerohash, and ledgered directly to the customer.- zerohash performs credit checks against the customer's on-platform
USDbalance. - Participants Account funding in fiat can be carried out through;
- zerohash performs credit checks against the customer's on-platform
- Non Pre-Funded (
prefunded: false): Platform is utilizing a float account for buying power, while participantsUSDbalances remain on the platform's ledgers.- The platform performs credit checks
buyorders before submitting to the order book.- Participants
buyorder placements should be rejected if balance cannot cover the order notional + commissions on your ledger.
- Participants
- Cumulative buying power for your customers will be held in your platform float account.
- Open
buylimit orders will be collateralized from the platform's float, and debited accordingly upon order execution.
- The platform performs credit checks
Sequential Dependency
The endpoints work in tandem across the account lifecycle:
- Create Participant: Platforms register the end user as a participant on the zerohash system.
- Individual participant creation via :
- REST API using the
POST /participants/customers/newendpoint. - zerohash KYCaaS SDK for participant onboarding.
- REST API using the
- Entity participant creation via
POST /participants/entity/new.
- Individual participant creation via :
- Confirm Approval: Verify the participant's
statusisapproved.- Query the participants status via
GET /participant/{participant_code}/basic_info. - Subscribe to participant status updates, through the zerohash webhook notifications service.
- Query the participants status via
- Activate Account: Submit the approved
participant_codeand chosen funding model.- CLOB account opening should be carried out via the
POST /accountsendpoint. - Platforms can elect a custom
account_labelto help manage participants account balances more granularly, maintaining a dedicated balance peraccount_label.- The response will return a
zrnassigned by zerohash, that will be used in subsequent calls for customer account management.
- The response will return a
- CLOB account opening should be carried out via the
- Retrieve & Update: Platforms can use the following endpoints to assist in account management.
- Platforms can retrieve account details via
GET /accounts/{zrn}endpoint, passing the assignedzrnfor the customer account. - Platforms can update account attributes using the
PATCH /accounts/{zrn}.
- Platforms can retrieve account details via
When a platform uses a custom
account_labelvalue for their customers accounts, the value will be used in FIX tag<1>for order placement.When a platform uses the default
'account_label' : 'general', FIX tag<1>will be theparticipant_codeassigned to the end user.
Configuration Review
Please review the different permutations of the API request body. It is vital to ensure your platform uses the intended parameters (e.g., individual vs. entity participant creation, prefunded: true vs prefunded: false, and the correct participant_code / account_group / account_label pairing) corresponding to your specific business logic to avoid funding and credit-check discrepancies on the CLOB.